Loading...
Searching...
No Matches
XrdCmsPList Class Reference

`#include <XrdCmsPList.hh>`

Collaboration diagram for XrdCmsPList:

## Public Member Functions

| XrdCmsPList (const char *pname="", XrdCmsPInfo *pi=0)
| ~XrdCmsPList ()
XrdCmsPList * | Next ()
char * | Path ()
const char * | PType ()

## Friends

class | XrdCmsPList_Anchor

## Detailed Description

Definition at line 70 of file XrdCmsPList.hh.

## Constructor & Destructor Documentation

## XrdCmsPList()

XrdCmsPList::XrdCmsPList | ( | const char * | pname = "",
|  | XrdCmsPInfo * | pi = 0 )

inline

Definition at line 79 of file XrdCmsPList.hh.

: next(0), pathname(strdup(pname)), pathlen(strlen(pname)),
pathtype(0) {if (pi) pathmask.Set(pi);}

Referenced by Next().

Here is the caller graph for this function:

## ~XrdCmsPList()

XrdCmsPList::~XrdCmsPList | ( |  | ) |

inline

Definition at line 83 of file XrdCmsPList.hh.

{if (pathname) free(pathname);}

## Member Function Documentation

## Next()

XrdCmsPList * XrdCmsPList::Next | ( |  | ) |

inline

Definition at line 75 of file XrdCmsPList.hh.

{return next;}

References XrdCmsPList().

Here is the call graph for this function:

## Path()

char * XrdCmsPList::Path | ( |  | ) |

inline

Definition at line 76 of file XrdCmsPList.hh.

{return pathname;}

## PType()

const char * XrdCmsPList::PType | ( |  | ) |

Definition at line 212 of file XrdCmsPList.cc.

{
if (pathmask.ssvec) return (pathmask.rwvec ? "ws" : "rs");
return (pathmask.rwvec ? "w" : "r");
}

## Friends And Related Symbol Documentation

## XrdCmsPList_Anchor

friend class XrdCmsPList_Anchor

friend

Definition at line 73 of file XrdCmsPList.hh.

References XrdCmsPList_Anchor.

Referenced by XrdCmsPList_Anchor.

The documentation for this class was generated from the following files:

- XrdCmsPList.hh
- XrdCmsPList.cc